# Uses of Class
org.kapott.hbci.status.HBCIDialogStatus

Packages that use HBCIDialogStatus
Package
Description
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.status
Dieses Paket enthält Klassen, die Status-Informationen zu einzelnen Aufträgen, Nachrichten oder Dialogen bereitstellen.

## Uses of HBCIDialogStatus in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return HBCIDialogStatus
Modifier and Type
Method
Description
`HBCIDialogStatus`
HBCIDialog.`doIt()`
führt einen kompletten dialog mit allen zu diesem dialog gehoerenden nachrichten/tasks aus.
`HBCIDialogStatus`
HBCIHandler.`refreshXPD(int selectX)`
Abholen der BPD bzw.

## Uses of HBCIDialogStatus in org.kapott.hbci.status

Methods in org.kapott.hbci.status that return HBCIDialogStatus
Modifier and Type
Method
Description
`HBCIDialogStatus`
HBCIExecStatus.`getDialogStatus(String customerid)`
`HBCIDialogStatus` für den Dialog einer bestimmten Kunden-ID zurückgeben.
Methods in org.kapott.hbci.status that return types with arguments of type HBCIDialogStatus
Modifier and Type
Method
Description
`List<HBCIDialogStatus>`
HBCIExecStatus.`getDialogStatusList()`
Deprecated.
sinnlos
Methods in org.kapott.hbci.status with parameters of type HBCIDialogStatus
Modifier and Type
Method
Description
`void`
HBCIExecStatus.`addDialogStatus(String customerid, HBCIDialogStatus status)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen